Get revisions of a wiki page
GET
/repos/{owner}/{repo}/wiki/revisions/{pageName}
const url = 'https://gitea.com/api/v1/repos/example/example/wiki/revisions/example';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://gitea.com/api/v1/repos/example/example/wiki/revisions/example \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”owner
required
string
Owner of the repo
repo
required
string
Name of the repo
pageName
required
string
Name of the page
Query Parameters
Section titled “Query Parameters”page
integer
Page number of results to return (1-based)
Responses
Section titled “Responses”WikiCommitList
Media typeapplication/json
WikiCommitList commit/revision list
object
commits
The list of wiki commits
Array<object>
WikiCommit page commit/revision
object
author
CommitUser contains information of a user in the context of a commit.
object
date
Date is the commit date in string format
string
email
string format: email
name
Name is the person’s name
string
commiter
CommitUser contains information of a user in the context of a commit.
object
date
Date is the commit date in string format
string
email
string format: email
name
Name is the person’s name
string
message
The commit message
string
sha
The commit SHA hash
string
count
The total count of commits
integer format: int64
Examplegenerated
{ "commits": [ { "author": { "date": "example", "email": "hello@example.com", "name": "example" }, "commiter": { "date": "example", "email": "hello@example.com", "name": "example" }, "message": "example", "sha": "example" } ], "count": 1}APINotFound is a not found empty response
Media typeapplication/json